### Class

# Gtk BookmarkList

#### Description [src]

    final class Gtk.BookmarkList : GObject.Object {
      /* No available fields */
    }

`GtkBookmarkList` is a list model that wraps `GBookmarkFile`.

It presents a `GListModel` and fills it asynchronously with the `GFileInfo`s returned from that function.

The `GFileInfo`s in the list have some attributes in the recent namespace added: `recent::private` (boolean) and `recent:applications` (stringv).

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_bookmark_list_new

Creates a new `GtkBookmarkList` with the given `attributes`.

#### Instance methods

###### gtk_bookmark_list_get_attributes

Gets the attributes queried on the children.

###### gtk_bookmark_list_get_filename

Returns the filename of the bookmark file that this list is loading.

###### gtk_bookmark_list_get_io_priority

Gets the IO priority to use while loading file.

###### gtk_bookmark_list_is_loading

Returns `TRUE` if the files are currently being loaded.

###### gtk_bookmark_list_set_attributes

Sets the `attributes` to be enumerated and starts the enumeration.

###### gtk_bookmark_list_set_io_priority

Sets the IO priority to use while loading files.

#### Properties

###### Gtk.BookmarkList:attributes

The attributes to query.

###### Gtk.BookmarkList:filename

The bookmark file to load.

###### Gtk.BookmarkList:io-priority

Priority used when loading.

###### Gtk.BookmarkList:loading

`TRUE` if files are being loaded.

#### Class structure

    struct GtkBookmarkListClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.